Subject: Re: "add -p" + filenames with UTF-8 multibyte characters = "No changes"

From: Teemu Likonen <[email-masked]>
Date: Sun, 15 Feb 2009 21:11:00 +0200

[Added the Git list back to delivery.]

On 2009-02-15 20:00 (+0100), Antonio García Domínguez wrote:

>> This bug is documented in BUGS section of "git add" manual (see "git
>> help add"). You can work it around with
>>
>>    git config --global core.quotepath false
>
> Oh, sorry, I should have known better and RTFM. :-D

No problem at all. I was bitten by the same bug earlier, and as I wasn't
able to fix it I sent a documentation patch instead. :-)

"core.quotepath=false" is good for other purposes too. It prints UTF-8
filenames in diff headers in form that is actually readable. I think it
would be better default.